> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination

Some API resources have support for bulk fetches through “list” API methods. For example, you can list environments, list API keys, etc. These list API methods share a common structure and accept the following two parameters: `limit` and `cursor`.

Management API list methods use cursor-based pagination through the `cursor` parameter. After fetching the first page of resources, the response body will contain `metadata` information containing `next_cursor` token used to navigate to the next page.

```json JSON theme={"theme":"github-dark-dimmed"}
"metadata": {
    "pagination": {
      "nextCursor": "938c2cc0dcc05f2b68c4287040cfcf71",
      "prevCursor": null
    }
  }
```

To navigate to the next page, simply put this cursor token in the URL query for the next request:

```html URL query theme={"theme":"github-dark-dimmed"}
?limit=10&cursor=938c2cc0dcc05f2b68c4287040cfcf71
```

If you've already navigated forward, you can also use `prev_cursor` token from the response metadata to navigate backwards.
